{% extends 'base.html.twig' %}

{% block body %}
    <h1>Studenti &gt; {{ provider.name }} &gt; {{ group.name }}</h1>
    <ul class="list-group">


        {% for element in list %}
            <li class="list-group-item">


                    <span class="badge">
{{ element.student.username }}

                        {% if showPassword %}
                            / {{ element.student.startingPassword }}
                        {% endif %}
                        / {{ element.student.email }}

                    </span>

                <a href="{{ path('student_edit',
                    { 'id':  element.student.id  }
                ) }}">
                    {{ element.student.lastname }} {{ element.student.firstname }}
                    <small>({{ element.student.fiscalCode }})</small>
                </a>

            </li>
        {% endfor %}
    </ul>


    <a href="{{ path('student_new',  {'providerId': provider.id,'group':group.name }) }}" class="btn btn-success">
        Aggiungi uno studente
    </a>
    <a href="{{ path('showStudentsGroup',
        {'providerId': provider.id,'groupId':group.id, '_format': 'pdf'}
    ) }}" class="btn btn-info">Stampa questa lista</a>
    <a href="{{ path ('getStudentsChildGroups', { 'providerId': provider.id }) }}"
       class="btn btn-secondary"
    >Ritorna alla lista {{ provider.name }}</a>


    <a href="{{ path('resetPasswordStudentsGroup',
        {'providerId': provider.id,'groupName':group.name}
    ) }}" class="btn btn-danger"> (!) Forza le password iniziali per tutta la classe</a>



{% endblock %}
